BITE-BUGZILLA-ATTACHMENT-GET(1)

NAME
bite-bugzilla-attachment-get - get attachments

SYNOPSIS

bite bugzilla attachment <get|g> [<options>] <id[,...]>
    Get attachments.

bite bugzilla attachment <get|g> [-h|--help]
    Output help information.

DESCRIPTION

Get attachments.

GLOBAL OPTIONS

-v, --verbose
    Increase logging verbosity.

    Verbosity levels in increasing order are error, warning, info, debug, and trace. The default level is warning causing errors and warnings to be shown. Each -v/--verbose option specified increases the level up to the maximum so bite -vv ... runs the given subcommand at the debug level.

        Warning

        Running at the trace level leaks authentication data as it outputs raw response structures including URLs which often include injected login parameters for authenticated sessions.

-q, --quiet
    Decrease logging verbosity.

-h, --help
    Print help output and exit.

ATTACHMENT OPTIONS

-l, --list
    List attachment metadata.

    Show all metadata for an attachment:

        bite bugzilla attachment get -lv 123

    List all attachments for bug 10:

        bite bugzilla attachment get -il 10

-o, --output [<file>]
    Output attachment to a specified file.

    Note that multiple attachments will be output to the same location.

    Use - for standard output.

    Output attachment data to standard output:

        bite bugzilla attachment get 123 -o -

-O, --outdated
    Include outdated attachments.

    This forces deleted and obsolete attachments to be shown instead of being skipped by default.

-i, --item-ids
    Treat ID arguments as bug IDs or aliases, not attachment IDs.

    Regular ID arguments relate to individual attachment IDs. Using this option pulls all attachments from the related bugs.

    Note that when saving multiple attachments from multiple bugs, subdirectories named after the bug IDs are automatically used in order to avoid file name overlap.

    Get all attachments from bug 123:

        bite bugzilla attachment get -i 123

-d, --dir <path>
    Save attachments to a specified directory.

    By default, attachments are saved to the current working directory and this allows altering that target directory.

    Save all attachments from bug 123 to the specified directory:

        bite bugzilla attachment get -i 123 --dir path/to/dir

ARGUMENTS

<id[,...]>
    Attachment IDs or bug IDs/aliases.

    Taken from standard input when -.

SEE ALSO

bite-bugzilla-attachment(1)